# BodegAI - Asistente Personal en WhatsApp

BodegAI es un asistente personal desarrollado como un bot para WhatsApp, diseñado para ayudarte a gestionar y organizar aspectos clave de tu vida diaria. Ideal para profesionales como programadores que buscan mantener un equilibrio entre el trabajo y el bienestar personal.


## Características

- **Notificaciones Personalizadas**: Recibe recordatorios para beber agua, limpiar tu espacio, cocinar y más.
- **Información del Clima**: Consulta el clima actual de cualquier ciudad directamente desde WhatsApp.
- **Gestión de Finanzas**: Mantén un seguimiento de tus ingresos y gastos.
- **Mantenimiento del Hogar**: Controla el sistema de agua y otros servicios esenciales.
- **Planificación de Compras**: Organiza tus visitas a la tienda y gestiona tu lista de despensa.

## Requisitos

- **Node.js**: Versión 14 o superior.
- **npm**: Versión 6 o superior.
- **WhatsApp Web**: Una cuenta de WhatsApp para conectar el bot.

## Instalación

1. **Clona el repositorio:**

    ```bash
    git clone https://git.davidwebgt.com/davidwebgt/bodegAI.git
    cd bodegAI
    ```

2. **Instala las dependencias:**

    ```bash
    npm install
    ```

3. **Configura las variables de entorno:**

    Crea un archivo `.env` en la raíz del proyecto y añade las siguientes variables:

    ```env
    CHROME_PATH=/ruta/a/tu/instalación/de/chrome
    AUTHORIZED_NUMBER=+1234567890
    ```

    - `CHROME_PATH`: Ruta al ejecutable de Chrome en tu sistema.
    - `AUTHORIZED_NUMBER`: Número de teléfono autorizado para interactuar con el bot.

## Uso

1. **Inicia el bot:**

    ```bash
    node index.js
    ```

2. **Escanea el QR Code:**

    Al iniciar, el bot generará un código QR en la terminal. Escanéalo con tu aplicación de WhatsApp para conectar el bot a tu cuenta.

3. **Interactúa con el Bot:**

    Envía comandos desde tu WhatsApp para recibir respuestas y gestionar tus tareas.

## Comandos Disponibles

- **!ping**

    - **Descripción**: Verifica que el bot está activo.
    - **Uso**: Envía `!ping` y el bot responderá con `pong`.

- **!clima [ciudad]**

    - **Descripción**: Obtiene la información del clima actual para la ciudad especificada. Si no se proporciona una ciudad, usa "Guatemala" por defecto.
    - **Uso**: 
        - `!clima` 
        - `!clima Ciudad de México`
